Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 164140 - transfig creates wrong dependencies for -L pstex
Summary: transfig creates wrong dependencies for -L pstex
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: transfig
Version: 3.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Than Ngo
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-25 11:11 UTC by Ulrich Seidl
Modified: 2008-09-11 17:14 UTC (History)
0 users

Fixed In Version: RHEL4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-16 10:50:47 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ulrich Seidl 2005-07-25 11:11:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050721 Red Hat/1.0.6-1.4.1.SL3 Firefox/1.0.6

Description of problem:
transfig creates wrong dependencies for -L pstex. The picmakefile written by transfig contains rules to build a *.tex and a *.ps file. However, the *.tex file depends on a *.eps file for which no build rule is available.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. transfig -M picmakefile -L pstex file.fig
2. see the picmakefile
3.
  

Actual Results:  the picmakefile contains two rules to build the needed *tex and *ps files:
file.tex: file.eps picmakefile
        fig2dev -L pstex_t -p file.eps file.fig > file.tex

file.ps: file.fig picmakefile
        fig2dev -L pstex file.fig > file.ps


The problem here is, that the first rule requires a *.eps file, while the second rule only knows how to make a *.ps file. Thus, calling make on the picmakefile fails with:

make: *** No rule to make target `file.eps', needed by `file.tex'.  Stop.

Expected Results:  Either add a third rule which knows how to build an *.eps file (like in transfig 3.2.3d-2 from Enterprise Server 2.1) or change the requirement of the first rule to depend on a *.ps (instead of a *.eps) file.

Additional info:

The transfig rpm of Enterprise Server 2.1 works as expected.

Comment 1 Than Ngo 2006-05-16 10:50:47 UTC
it's not reproducible in RHEL4 any more.

Comment 2 Fedora Update System 2008-09-10 16:53:35 UTC
transfig-3.2.5-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/transfig-3.2.5-4.fc8

Comment 3 Fedora Update System 2008-09-10 16:54:37 UTC
transfig-3.2.5-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/transfig-3.2.5-4.fc9

Comment 4 Fedora Update System 2008-09-11 16:55:48 UTC
transfig-3.2.5-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-09-11 17:14:33 UTC
transfig-3.2.5-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.